## php-swoole 6.0.0+really+5.1.3

=== debian/changelog ===
php-swoole (6.0.0+really+5.1.3-1+0~20240629.26+debian10~1.gbpee1a27) unstable; urgency=medium

  ** SNAPSHOT build @ee1a2760bf5fb894b9988a271baf3c4bc2c9cd63 **

  * Pin d/watch to 5.* for now

 -- Ondřej Surý <ondrej@sury.org>  Sat, 29 Jun 2024 09:13:15 +0200

php-swoole (6.0.0+really+5.1.3-1) unstable; urgency=medium

  * New upstream version 6.0.0+really+5.1.3
   + Downgrade the swoole version to 5.1.3 (stable)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 29 Jun 2024 09:06:43 +0200

php-swoole (6.0.0-2) unstable; urgency=medium

  * Remove non-64-bit architectures from the Architectures list

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jun 2024 15:09:37 +0200

php-swoole (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0
  * Enable swoole: pgsql, odbc and sqlite
  * Disable swoole: json (no longer available as an option)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jun 2024 14:31:24 +0200

php-swoole (5.1.3-2) unstable; urgency=medium

  * Disable brotli

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Jun 2024 21:56:46 +0200

php-swoole (5.1.3-1) unstable; urgency=medium

  * Fix Source URL in d/copyright
  * New upstream version 5.1.3

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Jun 2024 20:13:47 +0200

php-swoole (5.1.2-1) unstable; urgency=medium

  * New upstream version 5.1.2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 May 2024 16:47:48 +0200

php-swoole (5.1.1-2) unstable; urgency=medium

  * Enable c-ares DNS library

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Feb 2024 18:47:15 +0100

php-swoole (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Dec 2023 14:36:46 +0100

php-swoole (5.1.0-2) unstable; urgency=medium

  * Ignore failing tests

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Nov 2023 18:15:58 +0100

php-swoole (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Nov 2023 15:01:46 +0100

php-swoole (5.0.3-1) unstable; urgency=medium

  * New upstream version 5.0.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Jun 2023 08:32:24 +0200

php-swoole (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Regenerate d/control for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 14:12:56 +0100

php-swoole (4.8.10-1) unstable; urgency=medium

  * New upstream version 4.8.10

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Jul 2022 15:12:16 +0200

php-swoole (4.8.5-1) unstable; urgency=medium

  * New upstream version 4.8.5

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Dec 2021 09:47:51 +0100

php-swoole (4.8.3-1) unstable; urgency=medium

  * New upstream version 4.8.3

 -- Ondřej Surý <ondrej@debian.org>  Sun, 05 Dec 2021 16:27:05 +0100

php-swoole (4.8.1-1) unstable; urgency=medium

  * New upstream version 4.8.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:13:28 +0100

php-swoole (4.7.0-2) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:01:07 +0100

php-swoole (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Aug 2021 09:56:39 +0200

php-swoole (4.6.7-1) unstable; urgency=medium

  * New upstream version 4.6.7

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Jun 2021 23:27:21 +0200

php-swoole (4.6.6-1) unstable; urgency=medium

  * New upstream version 4.6.6
  * Add curl and mysqlnd as optional dependencies to package.xml (GH #1582)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 May 2021 14:07:36 +0200

php-swoole (4.6.4-1) unstable; urgency=low

  * Initial release.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Mar 2021 11:01:26 +0200
