## php-swoole 6.1.2

=== debian/changelog ===
php-swoole (6.1.2-2+0~20251124.38+debian12~1.gbp7aa99b) unstable; urgency=medium

  ** SNAPSHOT build @7aa99bbc766eb9692b570c7c2cf24bc290d22a34 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Mon, 24 Nov 2025 06:46:16 +0100

php-swoole (6.1.2-2) unstable; urgency=medium

  * Build-Depend on php-all-dev (>= 2:97~) for PHP 8.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Nov 2025 14:08:39 +0100

php-swoole (6.1.2-1) unstable; urgency=medium

  * New upstream version 6.1.2
  * Allow PHP 8.5 builds

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Nov 2025 12:17:21 +0100

php-swoole (6.0.2-2) unstable; urgency=medium

  * Use Architecture: any, so jenkins-debian-glue can build the package

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Apr 2025 00:23:36 +0200

php-swoole (6.0.2-1) unstable; urgency=medium

  * New upstream version 6.0.2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Apr 2025 21:59:07 +0200

php-swoole (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 17 Mar 2025 16:56:00 +0100

php-swoole (6.0.0++-1) unstable; urgency=medium

  * New upstream version 6.0.0++
   + Includes support for PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 Dec 2024 06:31:21 +0100

php-swoole (6.0.0+really+5.1.5-1) unstable; urgency=medium

  * Update Build-Depends to php-all-dev (>= 2:95~)
  * New upstream version 5.1.5
  * Don't build for PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Nov 2024 06:43:48 +0100

php-swoole (6.0.0+really+5.1.4-1) unstable; urgency=medium

  * New upstream version 5.1.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Sep 2024 07:50:59 +0200

php-swoole (6.0.0+really+5.1.3-2) unstable; urgency=medium

  * Pin d/watch to 5.* for now
  * Bump default version to PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Jul 2024 17:34:03 +0200
