=== debian/rules ===
#!/usr/bin/make -f
export REPORT_EXIT_STATUS:=0
include /usr/share/dh-php/pkg-pecl.mk
PECL_CONFIGURE_MAINT_APPEND = \
	--enable-swoole \
	--enable-sockets \
	--disable-brotli \
	--enable-cares \
	--enable-openssl \
	--enable-http2 \
	--enable-mysqlnd \
	--enable-swoole-curl \
	--enable-swoole-pgsql \
	--enable-swoole-odbc=unixodbc \
	--enable-swoole-sqlite
