=== debian/changelog ===
php-swoole (6.1.3-4+0~20251209.43+debian12~1.gbp4374cd) unstable; urgency=medium

  ** SNAPSHOT build @4374cd2c981fbcc2231d31d6bcb3f8174b0c4bc2 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Tue, 09 Dec 2025 07:49:35 +0100

php-swoole (6.1.3-4) unstable; urgency=medium

  * Enable zlib and zstd support

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Dec 2025 07:34:03 +0100

php-swoole (6.1.3-3) unstable; urgency=medium

  * Limit the build to 64-bit architectures

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Dec 2025 10:10:42 +0100

php-swoole (6.1.3-2) unstable; urgency=medium

  * Disable Swoole CURL extension with curl << 7.56.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Dec 2025 07:41:50 +0100

php-swoole (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Dec 2025 16:33:33 +0100

php-swoole (6.1.2-3) unstable; urgency=medium

  * Bump dh-php Build-Depends to 5.16~ to allow max version with .99

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Nov 2025 07:54:10 +0100
