=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
 Maintainer: Debian PHP PECL Maintainers <team+php-pecl@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 10~),
-               dh-php (>= 4~),
+               dh-php (>= 5.16~),
                libc-ares-dev,
 	       libpq-dev,
 	       libsqlite3-dev,
                libcurl4-openssl-dev | libcurl-dev,
                libssl-dev,
-               php-all-dev,
-	       unixodbc-dev
+               php-all-dev (>= 2:97~),
+	       unixodbc-dev,
+	       libzstd-dev,
+	       zlib1g-dev
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/php-team/pecl/php-swoole.git
 Vcs-Browser: https://salsa.debian.org/php-team/pecl/php-swoole
 Homepage: http://pecl.php.net/package/swoole
 
 Package: php-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
+Architecture: all
 Pre-Depends: php-common (>= 2:69~)
 Depends: ${misc:Depends},
          ${pecl:Depends},
@@ -53,7 +55,7 @@
  This is empty package that depends on default PHP version.
 
 Package: php-swoole-all-dev
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
+Architecture: all
 Pre-Depends: php-common (>= 2:69~)
 Depends: ${misc:Depends},
          ${pecl:Depends},
@@ -87,8 +89,41 @@
  .
  This is empty package that depends on all PHP versions.
 
+Package: php8.4-swoole
+Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
+Pre-Depends: php-common (>= 2:69~)
+Depends: ${misc:Depends},
+         ${pecl:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Provides: ${pecl:Provides},
+          ${php:Provides}
+Breaks: ${pecl:Breaks}
+Replaces: ${pecl:Replaces}
+Suggests: ${pecl:Suggests}
+Recommends: ${pecl:Recommends}
+Description: Swoole Coroutine Fiber Async Programming Framework for PHP
+ Event-driven asynchronous and concurrent networking engine with high
+ performance for PHP with following properties:
+ .
+  * event-driven
+  * coroutine
+  * asynchronous non-blocking
+  * multi-thread reactor
+  * multi-process worker
+  * multi-protocol
+  * millisecond timer
+  * built-in tcp/http/websocket/http2 server
+  * coroutine tcp/http/websocket client
+  * coroutine mysql client
+  * coroutine redis client
+  * coroutine read/write file system
+  * coroutine dns lookup
+  * support IPv4/IPv6/UnixSocket/TCP/UDP
+  * support SSL/TLS encrypted transmission
+
 Package: php8.3-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
+Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
 Pre-Depends: php-common (>= 2:69~)
 Depends: ${misc:Depends},
          ${pecl:Depends},
@@ -121,7 +156,7 @@
   * support SSL/TLS encrypted transmission
 
 Package: php8.2-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
+Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
 Pre-Depends: php-common (>= 2:69~)
 Depends: ${misc:Depends},
          ${pecl:Depends},
@@ -154,68 +189,35 @@
   * support SSL/TLS encrypted transmission
 
 Package: php8.1-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
-Pre-Depends: php-common (>= 2:69~)
-Depends: ${misc:Depends},
-         ${pecl:Depends},
-         ${php:Depends},
-         ${shlibs:Depends}
-Provides: ${pecl:Provides},
-          ${php:Provides}
-Breaks: ${pecl:Breaks}
-Replaces: ${pecl:Replaces}
-Suggests: ${pecl:Suggests}
-Recommends: ${pecl:Recommends}
-Description: Swoole Coroutine Fiber Async Programming Framework for PHP
- Event-driven asynchronous and concurrent networking engine with high
- performance for PHP with following properties:
- .
-  * event-driven
-  * coroutine
-  * asynchronous non-blocking
-  * multi-thread reactor
-  * multi-process worker
-  * multi-protocol
-  * millisecond timer
-  * built-in tcp/http/websocket/http2 server
-  * coroutine tcp/http/websocket client
-  * coroutine mysql client
-  * coroutine redis client
-  * coroutine read/write file system
-  * coroutine dns lookup
-  * support IPv4/IPv6/UnixSocket/TCP/UDP
-  * support SSL/TLS encrypted transmission
-
-Package: php8.0-swoole
-Architecture: amd64 arm64 mips64el ppc64el rv64 s390x sparc64
-Pre-Depends: php-common (>= 2:69~)
-Depends: ${misc:Depends},
-         ${pecl:Depends},
-         ${php:Depends},
-         ${shlibs:Depends}
-Provides: ${pecl:Provides},
-          ${php:Provides}
-Breaks: ${pecl:Breaks}
-Replaces: ${pecl:Replaces}
-Suggests: ${pecl:Suggests}
-Recommends: ${pecl:Recommends}
-Description: Swoole Coroutine Fiber Async Programming Framework for PHP
- Event-driven asynchronous and concurrent networking engine with high
- performance for PHP with following properties:
- .
-  * event-driven
-  * coroutine
-  * asynchronous non-blocking
-  * multi-thread reactor
-  * multi-process worker
-  * multi-protocol
-  * millisecond timer
-  * built-in tcp/http/websocket/http2 server
-  * coroutine tcp/http/websocket client
-  * coroutine mysql client
-  * coroutine redis client
-  * coroutine read/write file system
-  * coroutine dns lookup
-  * support IPv4/IPv6/UnixSocket/TCP/UDP
-  * support SSL/TLS encrypted transmission
-
+Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
+Pre-Depends: php-common (>= 2:69~)
+Depends: ${misc:Depends},
+         ${pecl:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Provides: ${pecl:Provides},
+          ${php:Provides}
+Breaks: ${pecl:Breaks}
+Replaces: ${pecl:Replaces}
+Suggests: ${pecl:Suggests}
+Recommends: ${pecl:Recommends}
+Description: Swoole Coroutine Fiber Async Programming Framework for PHP
+ Event-driven asynchronous and concurrent networking engine with high
+ performance for PHP with following properties:
+ .
+  * event-driven
+  * coroutine
+  * asynchronous non-blocking
+  * multi-thread reactor
+  * multi-process worker
+  * multi-protocol
+  * millisecond timer
+  * built-in tcp/http/websocket/http2 server
+  * coroutine tcp/http/websocket client
+  * coroutine mysql client
+  * coroutine redis client
+  * coroutine read/write file system
+  * coroutine dns lookup
+  * support IPv4/IPv6/UnixSocket/TCP/UDP
+  * support SSL/TLS encrypted transmission
+
