## php-swoole 6.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(libswoole)
 
 enable_language(ASM)
-set(SWOOLE_VERSION 6.1.3)
+set(SWOOLE_VERSION 6.1.4)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
