=== debian/changelog ===
php-swoole (6.1.4-1+0~20251220.44+debian13~1.gbp837c93) unstable; urgency=medium

  ** SNAPSHOT build @837c9344f89927580f88bce26474175441fc24c2 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Sat, 20 Dec 2025 09:27:50 +0100

php-swoole (6.1.4-1) unstable; urgency=medium

  * New upstream version 6.1.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Dec 2025 09:25:45 +0100
