=== debian/rules ===
#!/usr/bin/make -f
export REPORT_EXIT_STATUS:=0
include /usr/share/dh-php/pkg-pecl.mk

ifeq ($(shell curl-config --checkfor 7.56.0;echo $$?),0)
export SWOOLE_CURL:=--enable-swoole-curl
else
export SWOOLE_CURL:=
endif

PECL_CONFIGURE_MAINT_APPEND = \
	--enable-swoole \
	--enable-sockets \
	--disable-brotli \
	--enable-cares \
	--enable-openssl \
	--enable-http2 \
	--enable-mysqlnd \
	$(SWOOLE_CURL) \
	--enable-swoole-pgsql \
	--enable-swoole-odbc=unixodbc \
	--enable-swoole-sqlite \
	--enable-zstd
